Gtk2::CellRendererPixbuf(3)

NAME
Gtk2::CellRendererPixbuf - wrapper for GtkCellRendererPixbuf

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::CellRenderer
                 +----Gtk2::CellRendererPixbuf

METHODS

  cellrenderer = Gtk2::CellRendererPixbuf->new

PROPERTIES

'follow-state' (boolean : default false : readable / writable / private / static-nick / static-blurb)
    Whether the rendered pixbuf should be colorized according to the state

'gicon' (Glib::Object::_Unregistered::GIcon : default undef : readable / writable / private / static-nick / static-blurb)
    The GIcon being displayed

'icon-name' (string : default undef : readable / writable / private / static-nick / static-blurb)
    The name of the icon from the icon theme

'pixbuf' (Gtk2::Gdk::Pixbuf : default undef : readable / writable / private / static-nick / static-blurb)
    The pixbuf to render

'pixbuf-expander-closed' (Gtk2::Gdk::Pixbuf : default undef : readable / writable / private / static-nick / static-blurb)
    Pixbuf for closed expander

'pixbuf-expander-open' (Gtk2::Gdk::Pixbuf : default undef : readable / writable / private / static-nick / static-blurb)
    Pixbuf for open expander

'stock-detail' (string : default undef : readable / writable / private / static-nick / static-blurb)
    Render detail to pass to the theme engine

'stock-id' (string : default undef : readable / writable / private / static-nick / static-blurb)
    The stock ID of the stock icon to render

'stock-size' (Glib::UInt : default 1 : readable / writable / private / static-nick / static-blurb)
    The GtkIconSize value that specifies the size of the rendered icon

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::CellRenderer

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.